package com.ruoyi.bst.part.domain;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.TreeEntity;

/**
 * 分区对象 bst_part
 *
 * @author ruoyi
 * @date 2025-04-18
 */
@Data
public class Part extends TreeEntity
{
    private static final long serialVersionUID = 1L;

    private Long partId;

    @Excel(name = "店铺ID")
    @ApiModelProperty("店铺ID")
    private Long storeId;

    @Excel(name = "分区名称")
    @ApiModelProperty("分区名称")
    private String partName;

    @Excel(name = "分区图片")
    @ApiModelProperty("分区图片")
    private String picture;

}
