package com.ruoyi.bst.booth.domain;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 卡座对象 bst_booth
 *
 * @author ruoyi
 * @date 2025-04-18
 */
@Data
public class Booth extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    private Long boothId;

    @Excel(name = "分区ID")
    @ApiModelProperty("分区ID")
    private Long partId;

    @Excel(name = "卡座名称")
    @ApiModelProperty("卡座名称")
    private String boothName;

    @Excel(name = "分区图片")
    @ApiModelProperty("分区图片")
    private String picture;

}
